
Foreman - Feature #24475

Add EmptyState to React components

07/30/2018 11:37 AM - boaz shust

Status: Closed   

Priority: Normal   

Assignee: boaz shust   

Category: JavaScript stack   

Target version: 1.20.0   

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5850

  

Description

One of the components that are required for moving the Hardware Models page to React is EmptyState.

The empty state pattern was used in Katello to but with small tweaks.

This issue is to move it to Foreman and allow Katello to use it as well without much of an effort.

This issue was created separately from https://projects.theforeman.org/issues/24040 to help review the process and the code.

Related issues:

Related to Foreman - Feature #24040: Move the search box in Hardware Models t... Closed

Associated revisions

Revision 285fd589 - 08/09/2018 05:37 PM - Boaz Shuster 

Fixes #24475 - Add EmptyState to React components

Signed-off-by: Boaz Shuster <boaz.shuster.github@gmail.com>

History

#1 - 07/30/2018 11:37 AM - boaz shust

- Related to Feature #24040: Move the search box in Hardware Models to a React component added

#2 - 07/30/2018 11:38 AM - boaz shust

- Subject changed from Move EmptyState Pattern from Katello to Foreman to Add EmptyState to React components

#3 - 07/30/2018 11:39 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5850 added

#4 - 07/30/2018 11:40 AM - The Foreman Bot

- Status changed from New to Ready For Testing

#5 - 08/09/2018 05:39 PM - Ohad Levy

- Category set to JavaScript stack

- Target version set to 1.20.0

#6 - 08/09/2018 06:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 285fd589ec895107eebc50f56a12f710a5897b87.

#7 - 10/15/2018 09:20 AM - Tomer Brisker

- Fixed in Releases 1.20.0 added
